gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Window Toplevel for embedding into other processes. Together with , provides the ability to embed widgets from one process into another process in a fashion that is transparent to the user. One process creates a widget and, passes the ID of that widgets window to the other process, which then creates a with that window ID. Any widgets contained in the then will appear inside the first applications window.
- Constructor
  Protected constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Event
  GLib.Signal("embedded")
  System.EventHandler Raised when the plug window is reparented to the socket window.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  System.UInt64 Gets the window ID of a widget. an object of type Gets the window ID of a widget, which can then be used to embed this window inside another window, for instance with .
- Property
  GLib.Property("embedded")
  System.Boolean IsEmbedded property. If , the plus is embedded in a socket.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEmbedded", Type=typeof(Gtk.Plug))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("socket-window")
  Gdk.Window To be added. To be added. To be added.